Bug 36559 - xferstats assumes /usr/local/etc/xferstats.cfg for conf file
Summary: xferstats assumes /usr/local/etc/xferstats.cfg for conf file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: xferstats   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-18 21:11 UTC by Seth Vidal
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-23 15:33:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix to xferstats' config location (376 bytes, patch)
2001-04-18 21:12 UTC, Seth Vidal
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:056 normal SHIPPED_LIVE New xferstats package is available 2001-04-25 04:00:00 UTC

Description Seth Vidal 2001-04-18 21:11:38 UTC
in xferstats.h there is a define for the config file.

it sets it to /usr/local/etc/xferstats.cfg

configure does not fix the problem

below is a patch to put it to /etc/xferstats.cfg - like the man page says.

Comment 1 Seth Vidal 2001-04-18 21:12:41 UTC
Created attachment 15684 [details]
fix to xferstats' config location

Comment 2 Tim Powers 2001-04-23 13:55:12 UTC
I applied the patch, and have uploaded the patched packages to here for you to
try out:

http://people.redhat.com/timp/RPMS/xferstats-2.16-2.i386.rpm
http://people.redhat.com/timp/SRPMS/xferstats-2.16-2.src.rpm

Please let me know if this works for you as well as if you find more problems.

Tim

Comment 3 Seth Vidal 2001-04-23 15:33:48 UTC
looks good to me.
it doesn't complain about the config file anymore.

thanks
-sv



Note You need to log in before you can comment on or make changes to this bug.